%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           museek+
Version:        0.3
Release:        0.3.20100730svn1209%{?dist}
Summary:        A Soulseek filesharing client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://museek-plus.org
#svn export -r1209 http://www.museek-plus.org/svn/museek+/trunk/sources museek+-0.3
#tar --xz -cvf museek+-current.tar.xz museek+-0.3
Source0:        museek+-current.tar.xz
#Source0:        http://dl.sourceforge.net/museek-plus/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  python-devel
BuildRequires:  libevent-devel
BuildRequires:  libxml++-devel
BuildRequires:  qt4-devel
BuildRequires:  gamin-devel
BuildRequires:  swig
BuildRequires:  libvorbis-devel
BuildRequires:  PyXML
BuildRequires:  pygtk2-devel
BuildRequires:  cmake

Requires:       %{name}-bindings = %{version}-%{release}
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-mucous = %{version}-%{release}
Requires:       %{name}-murmur = %{version}-%{release}
Requires:       %{name}-museeq = %{version}-%{release}
Requires:       %{name}-tools = %{version}-%{release}

%description
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This is a meta-package which will install museek daemon and
all available clients.


%package core
Summary:        Museek+ core package
Group:          Applications/Internet

%description core
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This package contains the museek daemon, setup tools and
other essential files.


%package bindings
Summary:        Python bindings for Museek+
Group:          Applications/Internet
Requires:       %{name}-core = %{version}-%{release}

%description bindings
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This package contains Python bindings for Museek+.


%package mucous
Summary:        A Curses Museek+ client
Group:          Applications/Internet
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-bindings = %{version}-%{release}

%description mucous
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This package contains a Curses GUI for Museek+.


%package murmur
Summary:        A PyGTK Museek+ client
Group:          Applications/Internet
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-bindings = %{version}-%{release}
Requires:       pygtk2

%description murmur
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This package contains a PyGTK GUI for Museek+.


%package museeq
Summary:        A Qt Museek+ client
Group:          Applications/Internet
Requires:       %{name}-core = %{version}-%{release}
Requires:       PyQt

%description museeq
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This package contains a Qt GUI for Museek+.


%package tools
Summary:        Python tools for Museek+
Group:          Applications/Internet
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-bindings = %{version}-%{release}

%description tools
Museek+ is a file-sharing application for the Soulseek peer-to-peer network. It
is written in C++. This package contains Python tools for Museek+.


%prep
%setup -q


%build
%cmake -DEVERYTHING=1 -DMANDIR=%{_mandir} .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --delete-original \
  --vendor=fedora \
  --add-category=Network \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/murmur.desktop

desktop-file-install \
  --delete-original \
  --vendor=fedora \
  --add-category=Network \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/museeq.desktop

desktop-file-install \
  --delete-original \
  --vendor=fedora \
  --add-category=Network \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/musetup-gtk.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%files core
%defattr(-,root,root,-)
%doc COPYING CREDITS LICENSE README TODO

%{_bindir}/muscan
%{_bindir}/muscand
%{_bindir}/museekd
%{_bindir}/musetup
%{_mandir}/man1/muscan.1*
%{_mandir}/man1/muscand.1*
%{_mandir}/man1/museekd.1*
%{_mandir}/man1/musetup.1*
%dir %{_datadir}/museek
%{_datadir}/museek/museekd
%{_datadir}/pixmaps/museek_alt2.png

%files bindings
%defattr(-,root,root,-)
%{python_sitearch}/_mucipherc.so
%{python_sitearch}/mucipher.py*
%{python_sitearch}/mucipherc.py*
%{python_sitearch}/museek

%files tools
%defattr(-,root,root,-)
%{_bindir}/mulog
%{_bindir}/museekchat
%{_bindir}/museekcontrol
%{_bindir}/musirc.py
%if 0%{?fedora} < 11
%exclude %{_bindir}/musirc.pyo
%exclude %{_bindir}/musirc.pyc
%endif
%{_mandir}/man1/mulog.1*
%{_mandir}/man1/museekcontrol.1*

%files mucous
%defattr(-,root,root,-)
%{_bindir}/mucous
%{python_sitearch}/pymucous
%{_mandir}/man1/mucous.1*

%files murmur
%defattr(-,root,root,-)
%{_bindir}/murmur
%{_bindir}/musetup-gtk
%{python_sitearch}/pymurmur
%{_datadir}/applications/fedora-murmur.desktop
%{_datadir}/applications/fedora-musetup-gtk.desktop
%{_mandir}/man1/murmur.1*
%{_mandir}/man1/musetup-gtk.1*
%{_datadir}/pixmaps/murmur-??px.png

%files museeq
%defattr(-,root,root,-)
%{_bindir}/museeq
%{_bindir}/musetup-qt
%{_mandir}/man1/museeq.1*
%{_mandir}/man1/musetup-qt.1*
%{_datadir}/applications/fedora-museeq.desktop
%{_datadir}/museek/museeq
%{_datadir}/pixmaps/museeq.png



%changelog
* Fri Jul 30 2010 Julian Sikorski <belegdol@fedoraproject.org> - 0.3-0.2.20100730svn1209
- Updated to SVN revision 1209 (RH #616130)
- Added musetup-qt manpage to %%files

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-0.3.20100126svn1206
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Feb 24 2010 Julian Sikorski <belegdol@fedoraproject.org> - 0.3-0.2.20100126svn1206
- Added information on how to obtain the source snapshot

* Wed Feb 24 2010 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-0.1.20100126svn1206
- Updated to SVN revision 1206
- python code turned out to be arch-dependent

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-2
- Dropped unnecessary byte compilation workaround for Fedora 11 and above

* Fri Feb 27 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-1
- Updated to 0.2 final
- Updated the URL, the SourceForge page is outdated
- Enabled noarch subpackages for Fedora 10 as well

* Wed Feb 25 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.2.20090221svn1127
- Made -murmur and -tools subpackages noarch

* Mon Feb 23 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.1.20090221svn1127
- Updated to SVN revision 1127
- Fixed the Source0 URL

* Tue Feb  3 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.1.20090203svn1092
- Updated to SVN revision 1092, should build with gcc-4.4 now

* Sat Jan 10 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.1.20090110svn1063
- Updated to SVN revision 1063
- Added libevent-devel to BuildRequires

* Sun Nov 30 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.1.20081126svn1027
- Updated to 0.2 SVN snapshot
- Split the package into several parts

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.13-4
- Rebuild for Python 2.6

* Thu Mar 13 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.13-3
- Switched BuildRequires from qt-devel to qt3-devel

* Sat Feb  9 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.13-2
- Fixed gcc-4.3 build

* Tue Aug 25 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.13-1
- Updated to 0.1.13
- Fixed License tag as per latest guidelines
- Install musetup-gtk desktop file
- Drop building with scons in favour of cmake
- Killed museek-launcher and respective patch since we now have 3 separate clients
- Added README and TODO to %%doc

* Sat Dec 23 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-5
- Added QSA support
- Use macros for install command

* Tue Dec 12 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-4
- Changed museek-launcher header to #!/bin/sh

* Tue Dec 12 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-3
- Fixed museek-launcher permissions
- Fixed %%changelog section
- Updated museek-launcher script
- Use $RPM_OPT_FLAGS instead %%{optflags} for consistency
- Add -fPIC to $RPM_OPT_FLAGS to make x86-64 build possible

* Thu Nov 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-2
- Made spec more compliant to FE Packaging Guidelines

* Sat Oct 21 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-1
- Update to 0.1.12
- Added scons to BuildRequires

* Mon Jul 17 2006 Dario Castellarin <requiem1348[at]yahoo[dot]it> - 0.1.11-1
- Update to 0.1.11

* Sat Jun 10 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.10-2
- Added python-devel to BuildRequires

* Fri Jun 9 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.10-1
- Update to 0.1.10
- Drop bluebox fix, as it was added to upstream
- Added PyXML to BuildRequires

* Thu May 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.9-2
- Add bluebox theme fix

* Thu May 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.9-1
- Update to 0.1.9
- Install icon themes into %%{_datadir}/museek/themes/
- Added new tools

* Thu May 18 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.8-1
- Update to 0.1.8
- Added libvorbis-devel to BuildRequires

* Wed May 10 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.7b-1
- Update to 0.1.7b

* Mon May 08 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.6-1
- Update to 0.1.6
- Remove patches/sources which were added to upstream
- Drop scons dependence as the internal one is used

* Sun Apr 09 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.2-1
- Initial RPM release
